// NCSimuDoc.cpp : implementation of the CNCSimuDoc class
//

#include "stdafx.h"
#include "NCSimu.h"

#include "NCSimuDoc.h"
#include <fstream>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNCSimuDoc

IMPLEMENT_DYNCREATE(CNCSimuDoc, CDocument)

BEGIN_MESSAGE_MAP(CNCSimuDoc, CDocument)
	//{{AFX_MSG_MAP(CNCSimuDoc)
	ON_COMMAND(ID_FILE_OPEN, OnFileOpen)
	ON_COMMAND(ID_CALCULATE_MACHINE_COORDINATE, OnCalculateMachineCoordinate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNCSimuDoc construction/destruction

CNCSimuDoc::CNCSimuDoc()
{
	// TODO: add one-time construction code here
	m_bExistToolPath = false;
}

CNCSimuDoc::~CNCSimuDoc()
{
}

BOOL CNCSimuDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CNCSimuDoc serialization

void CNCSimuDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CNCSimuDoc diagnostics

#ifdef _DEBUG
void CNCSimuDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CNCSimuDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CNCSimuDoc commands

BOOL CNCSimuDoc::OnOpenDocument(LPCTSTR lpszPathName) 
{
	if (!CDocument::OnOpenDocument(lpszPathName))
		return FALSE;
	
	// TODO: Add your specialized creation code here
	m_toolPath.ReadToolPathFile(lpszPathName); 
	// ļδسɹ
	m_bExistToolPath = m_toolPath.m_bExistToolPath;
	
	UpdateAllViews(NULL);

	return TRUE;
}

void CNCSimuDoc::OnFileOpen() 
{
	// TODO: Add your command handler code here
	CString strFilter = "Cutter Location Data Files(*.cld) |*.cld|";
	strFilter += "All Files(*.*) |*.*||";

	CFileDialog dlg(TRUE,  //TRUEΪ"ļ"
		NULL, 
		NULL,
		OFN_HIDEREADONLY |   //Read Only
		OFN_OVERWRITEPROMPT,  
		(strFilter));

	if(IDOK == dlg.DoModal())
		AfxGetApp()->OpenDocumentFile(dlg.GetPathName());	
}

// ɵ߹켣һϵл
void CNCSimuDoc::OnCalculateMachineCoordinate() 
{
	m_toolPath.CalculateMachineCoordinates(m_machineCoordinates);

// 	ofstream output_file("c:\\machine_coordinates.txt");
// 	if (output_file.fail())
// 	{
// 		AfxMessageBox("Error!");
// 		return;
// 	}
// 	for (unsigned long i = 0; i < m_machineCoordinates.size(); ++i)
// 	{
// 		output_file << m_machineCoordinates[i].x << " "
// 			        << m_machineCoordinates[i].y << " "
// 					<< m_machineCoordinates[i].z << " "
// 					<< m_machineCoordinates[i].A << " "
// 					<< m_machineCoordinates[i].C 
// 					<< endl;
// 	}
// 	output_file.close();
}
