// NCSimuDoc.h : interface of the CNCSimuDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_NCSIMUDOC_H__D5BF9810_632F_41A1_AB55_E30A8C2BB8C4__INCLUDED_)
#define AFX_NCSIMUDOC_H__D5BF9810_632F_41A1_AB55_E30A8C2BB8C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\\DSBaseDLL\\ToolPath.h"

class CNCSimuDoc : public CDocument
{
protected: // create from serialization only
	CNCSimuDoc();
	DECLARE_DYNCREATE(CNCSimuDoc)

// Attributes
public:
	CToolPath m_toolPath;

	bool m_bExistToolPath;

	// toolPath ÿλӦ
	vector< CMachineCoordinate > m_machineCoordinates;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNCSimuDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNCSimuDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CNCSimuDoc)
	afx_msg void OnFileOpen();
	afx_msg void OnCalculateMachineCoordinate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NCSIMUDOC_H__D5BF9810_632F_41A1_AB55_E30A8C2BB8C4__INCLUDED_)
